[device]
device=mega128RFA1
DeviceID=$1EA701
POLL=$FF
HLL=true
PageSize=256
Multiply=true
MOVW=true
LPMinc=true
UARTN=true
ExtTIMSK=true
ExtTCCR=true
FlashWrite=true
BOOTRST0=$F000
BOOTRST1=$F800
BOOTRST2=$FC00
BOOTRST3=$FE00
BOOTRSTE=$FFFF
JTAG=true
EEpage=8
enhancedcore=true
boundary=205

[fuses]
fuses=$0B
fusebit0=SUT0
fusebit1=SUT1
fusebit3=EESAVE
fuse05=1
fuse11=0
fuse40=2
rcen=0
eesave=8
ReadLock=true

[fuses_default]
FuseBits0=0
FuseBits1=SPIEN+JTAGEN+OCDEN
FuseBits2=0

[lockbitsWR0]
Adr=0
mask=$3f
cmd=$ACE000C0
0=LOCKBIT1
1=LOCKBIT2
2=BOOTLOCK01
3=BOOTLOCK02
4=BOOTLOCK11
5=BOOTLOCK12

[lockbitsRD0]
Adr=0
Mask=$3f
cmd=$58000000
0=LOCKBIT1
1=LOCKBIT2
2=BOOTLOCK01
3=BOOTLOCK02
4=BOOTLOCK11
5=BOOTLOCK12

[FusebitsWR0]
Adr=0
Mask=$FF
cmd=$ACA00000
0=CKSEL0
1=CKSEL1
2=CKSEL2
3=CKSEL3
4=SUT0
5=SUT1
6=CKOUT
7=CKDIV8

[FusebitsRD0]
Adr=0
Mask=$FF
cmd=$50000000
0=CKSEL0
1=CKSEL1
2=CKSEL2
3=CKSEL3
4=SUT0
5=SUT1
6=CKOUT
7=CKDIV8

[FusebitsWR1]
Adr=0
Mask=$ff
cmd=$ACA80000
0=BOOTRST
1=BOOTSZ0
2=BOOTSZ1
3=EESAVE
4=WDTON
5=SPIEN
6=JTAGEN
7=OCDEN

[FusebitsRD1]
Adr=0
Mask=$ff
cmd=$58080000
0=BOOTRST
1=BOOTSZ0
2=BOOTSZ1
3=EESAVE
4=WDTON
5=SPIEN
6=JTAGEN
7=OCDEN

[FusebitsWR2]
Adr=0
Mask=$07
cmd=$ACA40000
0=BODLEVEL0
1=BODLEVEL1
2=BODLEVEL2

[FusebitsRD2]
Adr=0
Mask=$07
cmd=$50080000
0=BODLEVEL0
1=BODLEVEL1
2=BODLEVEL3

[Specials0]
Mode=RD
name=Calibration
cmd=$38000000
Mask=$ff
Adr=0
calbytes=1
CalByte0=16MHz

[memory]
datastart=$0
dataend=$1f

idatastart=$0200
idataend=$41ff

pdatastart=$20
pdataend=$ff

eepromstart=$0000
eepromend=$0fff

romtotstart=$0
romtotend=$1ffff

[stack]
stackptrsize=16
StackStart=0
StackEnd=0
FrameEnd=18
PCsize=16

[controlregs_W]
tcnt3=$94
ocr3a=$98
ocr3b=$9A
ocr3c=$9C
icr3=$96
ocr1c=$8C
tcnt1=$84
ocr1a=$88
ocr1b=$8A
icr1=$86
eear=$41
adc=$78

[controlregs]
TRXFBEND=$1FF
TRXFBST=$180
TST_RX_LENGTH=$17B
TST_CTRL_DIGI=$176
CSMA_BE=$16F
CSMA_SEED_1=$16E
CSMA_SEED_0=$16D
XAH_CTRL_0=$16C
IEEE_ADDR_7=$16B
IEEE_ADDR_6=$16A
IEEE_ADDR_5=$169
IEEE_ADDR_4=$168
IEEE_ADDR_3=$167
IEEE_ADDR_2=$166
IEEE_ADDR_1=$165
IEEE_ADDR_0=$164
PAN_ID_1=$163
PAN_ID_0=$162
SHORT_ADDR_1=$161
SHORT_ADDR_0=$160
MAN_ID_1=$15F
MAN_ID_0=$15E
VERSION_NUM=$15D
PART_NUM=$15C
PLL_DCU=$15B
PLL_CF=$15A
FTN_CTRL=$158
XAH_CTRL_1=$157
RX_SYN=$155
XOSC_CTRL=$152
BATMON=$151
VREG_CTRL=$150
IRQ_STATUS=$14F
IRQ_MASK=$14E
ANT_DIV=$14D
TRX_CTRL_2=$14C
SFD_VALUE=$14B
RX_CTRL=$14A
CCA_THRES=$149
PHY_CC_CCA=$148
PHY_ED_LEVEL=$147
PHY_RSSI=$146
PHY_TX_PWR=$145
TRX_CTRL_1=$144
TRX_CTRL_0=$143
TRX_STATE=$142
TRX_STATUS=$141
AES_KEY=$13F
AES_STATE=$13E
AES_STATUS=$13D
AES_CTRL=$13C
TRXPR=$139
DPDS1=$137
DPDS0=$136
DRTRAM0=$135
DRTRAM1=$134
DRTRAM2=$133
DRTRAM3=$132
LLDRH=$131
LLDRL=$130
LLCR=$12F
OCR5CH=$12D
OCR5CL=$12C
OCR5BH=$12B
OCR5BL=$12A
OCR5AH=$129
OCR5AL=$128
ICR5H=$127
ICR5L=$126
TCNT5H=$125
TCNT5L=$124
TCCR5C=$122
TCCR5B=$121
TCCR5A=$120
SCOCR1HH=$F8
SCOCR1HL=$F7
SCOCR1LH=$F6
SCOCR1LL=$F5
SCOCR2HH=$F4
SCOCR2HL=$F3
SCOCR2LH=$F2
SCOCR2LL=$F1
SCOCR3HH=$F0
SCOCR3HL=$EF
SCOCR3LH=$EE
SCOCR3LL=$ED
SCTSRHH=$EC
SCTSRHL=$EB
SCTSRLH=$EA
SCTSRLL=$E9
SCBTSRHH=$E8
SCBTSRHL=$E7
SCBTSRLH=$E6
SCBTSRLL=$E5
SCCNTHH=$E4
SCCNTHL=$E3
SCCNTLH=$E2
SCCNTLL=$E1
SCIRQS=$E0
SCIRQM=$DF
SCSR=$DE
SCCR1=$DD
SCCR0=$DC

UDR1=$CE
UBRR1H=$CD
UBRR1L=$CC
UCSR1C=$CA
UCSR1B=$C9
UCSR1A=$C8
UDR0=$C6
UBRR0H=$C5
UBRR0L=$C4
UCSR0C=$C2
UCSR0B=$C1
UCSR0A=$C0
TWAMR=$BD
TWCR=$BC
TWDR=$BB
TWAR=$BA
TWSR=$B9
TWBR=$B8
ASSR=$B6
OCR2B=$B4
OCR2A=$B3
ocr2=$B3
TCNT2=$B2
TCCR2B=$B1
TCCR2A=$B0
tccr2=$B0
OCR4CH=$AD
OCR4CL=$AC
OCR4BH=$AB
OCR4BL=$AA
OCR4AH=$A9
OCR4AL=$A8
ICR4H=$A7
ICR4L=$A6
TCNT4H=$A5
TCNT4L=$A4
TCCR4C=$A2
TCCR4B=$A1
TCCR4A=$A0
OCR3CH=$9D
OCR3CL=$9C
OCR3BH=$9B
OCR3BL=$9A
OCR3AH=$99
OCR3AL=$98
ICR3H=$97
ICR3L=$96
TCNT3H=$95
TCNT3L=$94
TCCR3C=$92
TCCR3B=$91
TCCR3A=$90
OCR1CH=$8D
OCR1CL=$8C
OCR1BH=$8B
OCR1BL=$8A
OCR1AH=$89
OCR1AL=$88
ICR1H=$87
ICR1L=$86
TCNT1H=$85
TCNT1L=$84
TCCR1C=$82
TCCR1B=$81
TCCR1A=$80
DIDR1=$7F
DIDR0=$7E
DIDR2=$7D
ADMUX=$7C
ADCSRB=$7B
ADCSRA=$7A
adcsr=$7A
ADCH=$79
ADCL=$78
ADCSRC=$77
NEMCR=$75
TIMSK5=$73
TIMSK4=$72
TIMSK3=$71
TIMSK2=$70
TIMSK1=$6F
TIMSK0=$6E
PCMSK2=$6D
PCMSK1=$6C
PCMSK0=$6B
EICRB=$6A
EICRA=$69
PCICR=$68
BGCR=$67
OSCCAL=$66
PRR1=$65
PRR0=$64
PRR2=$63
CLKPR=$61
WDTCSR=$60
WDTCR=$60
SREG=$5F
SPH=$5E
SPL=$5D
RAMPZ=$5B
SPMCSR=$57
MCUCR=$55
MCUSR=$54
mcucsr=$54
SMCR=$53
OCDR=$51
ACSR=$50
SPDR=$4E
SPSR=$4D
SPCR=$4C
GPIOR2=$4B
GPIOR1=$4A
OCR0B=$48
OCR0A=$47
ocr0=$47
TCNT0=$46
TCCR0B=$45
TCCR0A=$44
tccr0=$44
GTCCR=$43
EEARH=$42
EEARL=$41
EEDR=$40
EECR=$3F
GPIOR0=$3E
EIMSK=$3D
EIFR=$3C
PCIFR=$3B
TIFR5=$3A
TIFR4=$39
TIFR3=$38
TIFR2=$37
TIFR1=$36
TIFR0=$35
PORTG=$34
DDRG=$33
PING=$32
PORTF=$31
DDRF=$30
PINF=$2F
PORTE=$2E
DDRE=$2D
PINE=$2C
PORTD=$2B
DDRD=$2A
PIND=$29
PORTC=$28
DDRC=$27
PINC=$26
PORTB=$25
DDRB=$24
PINB=$23
PORTA=$22
DDRA=$21
PINA=$20

[controlbits]+
as0=8
toie0=1
ocie0=2
ocie0a=2
toie1=4
ocie1b=8
ocie1a=$10
ticie1=$20
toie2=$40
ocie2=$80
ocie2a=$80
toie3=4
TICIE3=$20
ocie3a=$10
ocie3b=$08
ctc0=8
ctc1=8
ctc2=8
ctc3=8
tov0=1
tcn0ub=4
ocr0ub=2
tcr0ub=1

[BootVectors]
ivce=1
ivsel=2
reg=MCUCR

[interruptvectors]
vectormethod=JMP
nrofvectors=72

vectnr0=RESET
vectnr1=INT0
vectnr2=INT1
vectnr3=INT2
vectnr4=INT3
vectnr5=INT4
vectnr6=INT5
vectnr7=INT6
vectnr8=INT7

vectnr9=PCINT0
vectnr10=PCINT1
vectnr11=PCINT2
vectnr12=WDT
vectnr13=TIMER2COMPA
vectnr14=TIMER2COMPB
vectnr15=TIMER2
vectnr16=TIMER1CAPT
vectnr17=TIMER1COMPA
vectnr18=TIMER1COMPB
vectnr19=TIMER1COMPC
vectnr20=TIMER1

vectnr21=TIMER0COMPA
vectnr22=TIMER0COMPB
vectnr23=TIMER0
vectnr24=SPIRDY
vectnr25=RXRDY0
vectnr26=UDRE0
vectnr27=TXRDY0

vectnr28=ACOMP
vectnr29=ADCRDY
vectnr30=EERDY

vectnr31=TIMER3CAPT
vectnr32=TIMER3COMPA
vectnr33=TIMER3COMPB
vectnr34=TIMER3COMPC
vectnr35=TIMER3
vectnr36=RXRDY1
vectnr37=UDRE1
vectnr38=TXRDY1
vectnr39=TWSI
vectnr40=SPMRDY

vectnr41=TIMER4CAPT
vectnr42=TIMER4COMPA
vectnr43=TIMER4COMPB
vectnr44=TIMER4COMPC
vectnr45=TIMER4
vectnr46=TIMER5CAPT
vectnr47=TIMER5COMPA
vectnr48=TIMER5COMPB
vectnr49=TIMER5COMPC
vectnr50=TIMER5
vectnr51=DEFINTERR
vectnr52=DEFINTERR
vectnr53=DEFINTERR
vectnr54=DEFINTERR
vectnr55=DEFINTERR
vectnr56=DEFINTERR
vectnr57=TRX24_PLL_LOCK
vectnr58=TRX24_PLL_UNLOCK
vectnr59=TRX24_RX_START
vectnr60=TRX24_RX_END
vectnr61=TRX24_CCA_ED_DONE
vectnr62=TRX24_XAH_AMI
vectnr63=TRX24_TX_END
vectnr64=TRX24_AWAKE

vectnr65=SCNT_CMP1
vectnr66=SCNT_CMP0
vectnr67=SCNT_CMP3
vectnr68=SCNT_OVFL
vectnr69=SCNT_BACKOFF
vectnr70=AES_READY
vectnr71=BAT_LOW

[peripheral]
timer0=true
timer1=true
timer2=true
timer3=true
timer4=true
timer5=true
pwm1=true
pwm2=true
pwm3=true
pwm1pin=5
pwm1port=DDRB
pwm2pin=6
pwm2port=DDRB
pwm3pin=7
pwm3port=DDRB
pwm2A=true
pwm2Aport=DDRB
pwm2Apin=7
async=true
async2=true
adc=8
spi=true
spiport=PORTB
spi_ss=0
spi_mosi=2
spi_miso=3
spi_sck=1
CMPPort=PORTE
CMPmask=$0C
mpcm1=1
mpcm=1
I2C=true
USART=true

[timer1]
port=DDRB
oc1a=5
oc1b=6
oc1c=7
Capt=PinD
icp=4

[timer2]
port=DDRB
oc2a=7

[timer3]
port3a=DDRE
port3b=DDRE
port3C=DDRE
oc3a=3
oc3b=4
oc3c=5
Capt=PinE
icp=7

[extint0]
mask=EIMSK
flag=EIFR
bit=0
port=PIND
pin=0

[extint1]
mask=EIMSK
flag=EIFR
bit=1
port=PIND
pin=1

[extint2]
mask=EIMSK
flag=EIFR
bit=2
port=PIND
pin=2

[extint3]
mask=EIMSK
flag=EIFR
bit=3
port=PIND
pin=3

[extint4]
mask=EIMSK
flag=EIFR
bit=4
port=PINE
pin=4

[extint5]
mask=EIMSK
flag=EIFR
bit=5
port=PINE
pin=5

[extint6]
mask=EIMSK
flag=EIFR
bit=6
port=PINE
pin=6

[extint7]
mask=EIMSK
flag=EIFR
bit=7
port=PINE
pin=7

[SysTick]
1=1
2=8
3=32
4=64
5=128
6=256
7=1024

[JTAGcontrol]
reg=MCUCSR
bit=$80

